> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create directory

> Use this method to create a new directory entity.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/streaming_api.yaml post /streaming/directories
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: a41613cd4a9e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
  - name: Broadcasts
  - name: Directories
  - name: Overlays
  - name: Players
  - name: Playlists
  - name: QualitySets
  - name: Restreams
  - name: Statistics
  - name: Streams
  - name: Subtitles
  - name: Videos
paths:
  /streaming/directories:
    post:
      tags:
        - Directories
      summary: Create directory
      description: Use this method to create a new directory entity.
      operationId: post_directories
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/directory_post'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/directory_base'
        '422':
          description: |-
            Possible error messages:   
             **{ "errors": { "name": [ "can't be blank" ] } }**   
             *Name* is a required parameter, so it must be specified
          content: {}
components:
  schemas:
    directory_post:
      type: object
      properties:
        name:
          type: string
          description: Title of the directory.
        parent_id:
          type: integer
          description: ID of a parent directory. "null" if it's in the root.
          default: null
      required:
        - name
      example:
        name: New series. Season 1
        parent_id: 100
    directory_base:
      type: object
      properties:
        id:
          type: integer
          description: ID of the directory
        name:
          type: string
          description: Title of the directory
        parent_id:
          type: integer
          description: ID of a parent directory. "null" if it's in the root.
          default: null
        items_count:
          type: integer
          description: >-
            Number of objects in this directory. Counting files and folders. The
            quantity is calculated only at one level (not recursively in all
            subfolders).
        created_at:
          type: string
          description: Time of creation. Datetime in ISO 8601 format.
        updated_at:
          type: string
          description: >-
            Time of last update of the directory entity. Datetime in ISO 8601
            format.
      example:
        id: 100
        name: New series
        parent_id: null
        items_count: 2
        created_at: '2024-07-01T18:00:00Z'
        updated_at: '2024-07-01T18:00:00Z'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````